<?php

namespace A2G\A2gTravelBlog\Domain\Traits;

use A2G\A2gTravelBlog\Domain\Repository\TravelPostRepository;

/**
 * Description of InjectIngredientsRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectTravelPostRepositoryTrait {
    
    /**
     * 
     * @var TravelPostRepository
     */
    protected $travelPostRepository = null;

    /**
     * @param TravelPostRepository $travelPostRepository
     */
    public function injectTravelPostRepository(TravelPostRepository $travelPostRepository) {
        $this->travelPostRepository = $travelPostRepository;
    }

}
