<?php
defined('TYPO3_MODE') || die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gTravelBlog',
    'timeline',
    'Travel Blog Timeline'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gTravelBlog',
    'map',
    'Travel Blog Map'
);
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gTravelBlog',
    'mapConfig',
    'Travel Blog Map Config'
);



$pluginSignatures = [
    'a2gtravelblog_timeline' => 'flexform_timeline',
    'a2gtravelblog_map' => 'flexform_map'
];

foreach ($pluginSignatures as $pluginSignature => $flexform) {
    $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:a2g_travel_blog/Configuration/FlexForms/' . $flexform . '.xml');

//    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
//   // 'list_type' does not apply here
//   '*',
//   // Flexform configuration schema file
//   'FILE:EXT:example/Configuration/FlexForms/Registration.xml',
//   // ctype
//   $pluginSignature
//);
    
}
