<?php //

/*
 * This file is part of the package t3g/blog.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

if (!defined('TYPO3')) {
    die('Access denied.');
}

$ll = 'LLL:EXT:a2g_travel_blog/Resources/Private/Language/locallang_db.xlf:';
//
//// Add folder configuration
//$GLOBALS['TCA']['pages']['columns']['module']['config']['items'][] = [
//    0 => $ll . 'blog-folder',
//    1 => 'blog',
//    2 => 'record-folder-contains-blog',
//];
//$GLOBALS['TCA']['pages']['ctrl']['typeicon_classes']['contains-blog'] = 'record-folder-contains-blog';
//
//// Add new page types as possible select item:
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTcaSelectItem(
//    'pages',
//    'doktype',
//    [
//        'LLL:EXT:blog/Resources/Private/Language/locallang_tca.xlf:pages.doktype.blog-post',
//        (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST,
//        'record-blog-post',
//    ],
//    '1',
//    'after'
//);
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTcaSelectItem(
//    'pages',
//    'doktype',
//    [
//        'LLL:EXT:blog/Resources/Private/Language/locallang_tca.xlf:pages.doktype.blog-page',
//        (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE,
//        'record-blog-page',
//    ],
//    (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST,
//    'after'
//);
//
//// Add icon for new page types:
//\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule(
//    $GLOBALS['TCA']['pages'],
//    [
//        'ctrl' => [
//            'typeicon_classes' => [
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => 'record-blog-page',
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE . '-root' => 'record-blog-page-root',
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST => 'record-blog-post',
//            ],
//        ],
//        'types' => [
//            (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST => $GLOBALS['TCA']['pages']['types'][\TYPO3\CMS\Core\Domain\Repository\PageRepository::DOKTYPE_DEFAULT],
//        ],
//    ]
//);
//\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule(
//    $GLOBALS['TCA']['pages'],
//    [
//        'ctrl' => [
//            'typeicon_classes' => [
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => 'record-blog-page',
//            ],
//        ],
//        'types' => [
//            (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => $GLOBALS['TCA']['pages']['types'][\TYPO3\CMS\Core\Domain\Repository\PageRepository::DOKTYPE_DEFAULT],
//        ],
//    ]
//);
//
// Register fields
$GLOBALS['TCA']['tx_blog_domain_model_author']['columns'] = array_replace_recursive(
    $GLOBALS['TCA']['tx_blog_domain_model_author']['columns'],
    [
        'rel_map_marker' => [
            'exclude' => true,
            'label' => 'LLL:EXT:a2g_maps/Resources/Private/Language/locallang_db.xlf:relMarker',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingleBox',
                'foreign_table' => 'tx_a2gmaps_domain_model_marker',
                'foreign_table_where' => ' AND tx_a2gmaps_domain_model_marker.sys_language_uid IN (###REC_FIELD_sys_language_uid###,-1) '
            ]
        ]
    ]
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('tx_blog_domain_model_author', 'travelblog_map_icon', 'rel_map_marker');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'tx_blog_domain_model_author',
    '--div--;' . $ll . 'pages.tabs.travel_blog,
    --palette--;' . $ll . 'pages.palettes.travel_blog; travelblog_map_icon'
);
