<?php

declare(strict_types=1);

namespace A2G\A2gTravelBlog\Domain\Model;

use T3G\AgencyPack\Blog\Domain\Model\Category;


/**
 * This file is part of the "Products" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2021 Raphael Martin <raphy.martin@gmail.com>, none
 */

/**
 * TravelCategory
 */
class TravelCategory extends Category {

    /**
     * isoA2CountryCode
     *
     * @var string
     */
    protected $isoA2CountryCode = '';
    
    
    public function getIsoA2CountryCode(): string {
        return $this->isoA2CountryCode;
    }

    public function setIsoA2CountryCode(string $isoA2CountryCode): void {
        $this->isoA2CountryCode = $isoA2CountryCode;
    }


    
}