<?php

namespace A2G\A2gTravelBlog\Domain\Traits;

use A2G\A2gTravelBlog\Domain\Repository\MapEntryRepository;

/**y
 * Description of InjectMapEntryRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectMapEntryRepositoryTrait {
    
    /**
     * 
     * @var MapEntryRepository
     */
    protected $mapEntryRepository = null;

    /**
     * @param MapEntryRepository $mapEntryRepository
     */
    public function injectMapEntryRepository(MapEntryRepository $mapEntryRepository) {
        $this->mapEntryRepository = $mapEntryRepository;
    }

}
