<?php

namespace A2G\A2gTravelBlog\Domain\Traits;

use A2G\A2gTravelBlog\Domain\Repository\TravelAuthorRepository;

/**y
 * Description of InjectTravelAuthorRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectTravelAuthorRepositoryTrait {
    
    /**
     * 
     * @var TravelAuthorRepository
     */
    protected $travelAuthorRepository = null;

    /**
     * @param TravelAuthorRepository $travelAuthorRepository
     */
    public function injectTravelAuthorRepository(TravelAuthorRepository $travelAuthorRepository) {
        $this->travelAuthorRepository = $travelAuthorRepository;
    }

}
