<?php

namespace A2G\A2gTravelBlog\Domain\Traits;

use A2G\A2gTravelBlog\Domain\Repository\TravelCategoryRepository;

/**
 * Description of InjectIngredientsRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectTravelCategoryRepositoryTrait {
    
    /**
     * 
     * @var TravelCategoryRepository
     */
    protected $travelCategoryRepository = null;

    /**
     * @param TravelCategoryRepository $travelCategoryRepository
     */
    public function injectTravelCategoryRepository(TravelCategoryRepository $travelCategoryRepository) {
        $this->travelCategoryRepository = $travelCategoryRepository;
    }

}
