<?php //

/*
 * This file is part of the package t3g/blog.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

if (!defined('TYPO3')) {
    die('Access denied.');
}

$ll = 'LLL:EXT:a2g_travel_blog/Resources/Private/Language/locallang_db.xlf:';
//
//// Add folder configuration
//$GLOBALS['TCA']['pages']['columns']['module']['config']['items'][] = [
//    0 => $ll . 'blog-folder',
//    1 => 'blog',
//    2 => 'record-folder-contains-blog',
//];
//$GLOBALS['TCA']['pages']['ctrl']['typeicon_classes']['contains-blog'] = 'record-folder-contains-blog';
//
//// Add new page types as possible select item:
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTcaSelectItem(
//    'pages',
//    'doktype',
//    [
//        'LLL:EXT:blog/Resources/Private/Language/locallang_tca.xlf:pages.doktype.blog-post',
//        (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST,
//        'record-blog-post',
//    ],
//    '1',
//    'after'
//);
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTcaSelectItem(
//    'pages',
//    'doktype',
//    [
//        'LLL:EXT:blog/Resources/Private/Language/locallang_tca.xlf:pages.doktype.blog-page',
//        (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE,
//        'record-blog-page',
//    ],
//    (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST,
//    'after'
//);
//
//// Add icon for new page types:
//\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule(
//    $GLOBALS['TCA']['pages'],
//    [
//        'ctrl' => [
//            'typeicon_classes' => [
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => 'record-blog-page',
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE . '-root' => 'record-blog-page-root',
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST => 'record-blog-post',
//            ],
//        ],
//        'types' => [
//            (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST => $GLOBALS['TCA']['pages']['types'][\TYPO3\CMS\Core\Domain\Repository\PageRepository::DOKTYPE_DEFAULT],
//        ],
//    ]
//);
//\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule(
//    $GLOBALS['TCA']['pages'],
//    [
//        'ctrl' => [
//            'typeicon_classes' => [
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => 'record-blog-page',
//            ],
//        ],
//        'types' => [
//            (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => $GLOBALS['TCA']['pages']['types'][\TYPO3\CMS\Core\Domain\Repository\PageRepository::DOKTYPE_DEFAULT],
//        ],
//    ]
//);
//
// Register fields
$GLOBALS['TCA']['pages']['columns'] = array_replace_recursive(
    $GLOBALS['TCA']['pages']['columns'],
    [
        'rel_map_entries' => [
            'exclude' => true,
            'label' => '' . $ll . 'pages.rel_coordinate',
            'config' => [
                'type' => 'inline',
                'foreign_table' => 'tx_a2gmaps_domain_model_mapentry',
                'foreign_table_where' => ' AND tx_a2gmaps_domain_model_mapentry.sys_language_uid IN (###REC_FIELD_sys_language_uid###,-1) ',
                'foreign_field' => 'rel_travel_post',
                'size' => 10,
                'autoSizeMax' => 30,
//                'foreign_sortby' => 'sorting',
                'minitems' => 0,
                'maxitems' => 10,
                'appearance' => [
                    'collapseAll' => 1,
                    'expandSingle' => 1,
                ],
            ],
        ],
        'authors' => [
            'label' => $ll . 'pages.authors',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'multiple' => 0,
                'foreign_table' => 'tx_blog_domain_model_author',
                'foreign_table_where' => 'AND tx_blog_domain_model_author.sys_language_uid IN (0,-1) ORDER BY tx_blog_domain_model_author.name ASC',
                'MM' => 'tx_blog_post_author_mm',
                'minitems' => 0,
                'maxitems' => 99999,
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],
        
        'tags' => [
            'label' => $ll . 'pages.tags',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'size' => 10,
                'minitems' => 0,
                'maxitems' => 9999,
                'autoSizeMax' => 10,
                'multiple' => 0,
                'foreign_table' => 'tx_blog_domain_model_tag',
                'foreign_table_where' => 'AND tx_blog_domain_model_tag.sys_language_uid IN (0,-1) ORDER BY tx_blog_domain_model_tag.title ASC',
                'MM' => 'tx_blog_tag_pages_mm',
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ]
    ]
);
//
///** @noinspection UnsupportedStringOffsetOperationsInspection */
//$GLOBALS['TCA']['pages']['types'][\T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST]['columnsOverrides'] = [
//    'categories' => [
//        'config' => [
//            'foreign_table_where' => 'AND sys_category.sys_language_uid IN (0,-1) AND sys_category.pid = ###PAGE_TSCONFIG_ID###',
//        ]
//    ]
//];
//
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'rel_coordinate', 'rel_map_entries');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'pages',
    '--div--;' . $ll . 'pages.tabs.travel_blog,
    --palette--;' . $ll . 'pages.palettes.travel_blog; rel_coordinate'
        
//    (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST
);
