<?php

//

/*
 * This file is part of the package t3g/blog.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

if (!defined('TYPO3')) {
    die('Access denied.');
}

$ll = 'LLL:EXT:a2g_travel_blog/Resources/Private/Language/locallang_db.xlf:';
//
//// Add folder configuration
//$GLOBALS['TCA']['pages']['columns']['module']['config']['items'][] = [
//    0 => $ll . 'blog-folder',
//    1 => 'blog',
//    2 => 'record-folder-contains-blog',
//];
//$GLOBALS['TCA']['pages']['ctrl']['typeicon_classes']['contains-blog'] = 'record-folder-contains-blog';
//
//// Add new page types as possible select item:
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTcaSelectItem(
//    'pages',
//    'doktype',
//    [
//        'LLL:EXT:blog/Resources/Private/Language/locallang_tca.xlf:pages.doktype.blog-post',
//        (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST,
//        'record-blog-post',
//    ],
//    '1',
//    'after'
//);
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTcaSelectItem(
//    'pages',
//    'doktype',
//    [
//        'LLL:EXT:blog/Resources/Private/Language/locallang_tca.xlf:pages.doktype.blog-page',
//        (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE,
//        'record-blog-page',
//    ],
//    (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST,
//    'after'
//);
//
//// Add icon for new page types:
//\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule(
//    $GLOBALS['TCA']['pages'],
//    [
//        'ctrl' => [
//            'typeicon_classes' => [
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => 'record-blog-page',
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE . '-root' => 'record-blog-page-root',
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST => 'record-blog-post',
//            ],
//        ],
//        'types' => [
//            (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST => $GLOBALS['TCA']['pages']['types'][\TYPO3\CMS\Core\Domain\Repository\PageRepository::DOKTYPE_DEFAULT],
//        ],
//    ]
//);
//\TYPO3\CMS\Core\Utility\ArrayUtility::mergeRecursiveWithOverrule(
//    $GLOBALS['TCA']['pages'],
//    [
//        'ctrl' => [
//            'typeicon_classes' => [
//                (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => 'record-blog-page',
//            ],
//        ],
//        'types' => [
//            (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_PAGE => $GLOBALS['TCA']['pages']['types'][\TYPO3\CMS\Core\Domain\Repository\PageRepository::DOKTYPE_DEFAULT],
//        ],
//    ]
//);
//
// Register fields
$GLOBALS['TCA']['sys_category']['columns'] = array_replace_recursive(
        $GLOBALS['TCA']['sys_category']['columns'],
        [
            'iso_a2_country_code' => [
                'exclude' => true,
                'label' => '' . $ll . 'category.iso_a2_country_code',
                'config' => [
                    'type' => 'select',
                    'renderType' => 'selectSingle',
                    'items' => [
                            [
                                "no map relation",
                                ""
                            ],
                            [
                                "Afghanistan",
                                "AF"
                            ],
                            [
                                "Angola",
                                "AO"
                            ],
                            [
                                "Albania",
                                "AL"
                            ],
                            [
                                "United Arab Emirates",
                                "AE"
                            ],
                            [
                                "Argentina",
                                "AR"
                            ],
                            [
                                "Armenia",
                                "AM"
                            ],
                            [
                                "Antarctica",
                                "AQ"
                            ],
                            [
                                "Fr. S. Antarctic Lands",
                                "TF"
                            ],
                            [
                                "Australia",
                                "AU"
                            ],
                            [
                                "Austria",
                                "AT"
                            ],
                            [
                                "Azerbaijan",
                                "AZ"
                            ],
                            [
                                "Burundi",
                                "BI"
                            ],
                            [
                                "Belgium",
                                "BE"
                            ],
                            [
                                "Benin",
                                "BJ"
                            ],
                            [
                                "Burkina Faso",
                                "BF"
                            ],
                            [
                                "Bangladesh",
                                "BD"
                            ],
                            [
                                "Bulgaria",
                                "BG"
                            ],
                            [
                                "Bahamas",
                                "BS"
                            ],
                            [
                                "Bosnia and Herz.",
                                "BA"
                            ],
                            [
                                "Belarus",
                                "BY"
                            ],
                            [
                                "Belize",
                                "BZ"
                            ],
                            [
                                "Bolivia",
                                "BO"
                            ],
                            [
                                "Brazil",
                                "BR"
                            ],
                            [
                                "Brunei",
                                "BN"
                            ],
                            [
                                "Bhutan",
                                "BT"
                            ],
                            [
                                "Botswana",
                                "BW"
                            ],
                            [
                                "Central African Rep.",
                                "CF"
                            ],
                            [
                                "Canada",
                                "CA"
                            ],
                            [
                                "Switzerland",
                                "CH"
                            ],
                            [
                                "Chile",
                                "CL"
                            ],
                            [
                                "China",
                                "CN"
                            ],
                            [
                                "Cte d'Ivoire",
                                "CI"
                            ],
                            [
                                "Cameroon",
                                "CM"
                            ],
                            [
                                "Dem. Rep. Congo",
                                "CD"
                            ],
                            [
                                "Congo",
                                "CG"
                            ],
                            [
                                "Colombia",
                                "CO"
                            ],
                            [
                                "Costa Rica",
                                "CR"
                            ],
                            [
                                "Cuba",
                                "CU"
                            ],
                            [
                                "Cyprus",
                                "CY"
                            ],
                            [
                                "Czech Rep.",
                                "CZ"
                            ],
                            [
                                "Germany",
                                "DE"
                            ],
                            [
                                "Djibouti",
                                "DJ"
                            ],
                            [
                                "Denmark",
                                "DK"
                            ],
                            [
                                "Dominican Rep.",
                                "DO"
                            ],
                            [
                                "Algeria",
                                "DZ"
                            ],
                            [
                                "Ecuador",
                                "EC"
                            ],
                            [
                                "Egypt",
                                "EG"
                            ],
                            [
                                "Eritrea",
                                "ER"
                            ],
                            [
                                "Spain",
                                "ES"
                            ],
                            [
                                "Estonia",
                                "EE"
                            ],
                            [
                                "Ethiopia",
                                "ET"
                            ],
                            [
                                "Finland",
                                "FI"
                            ],
                            [
                                "Fiji",
                                "FJ"
                            ],
                            [
                                "Falkland Is.",
                                "FK"
                            ],
                            [
                                "France",
                                "FR"
                            ],
                            [
                                "Gabon",
                                "GA"
                            ],
                            [
                                "United Kingdom",
                                "GB"
                            ],
                            [
                                "Georgia",
                                "GE"
                            ],
                            [
                                "Ghana",
                                "GH"
                            ],
                            [
                                "Guinea",
                                "GN"
                            ],
                            [
                                "Gambia",
                                "GM"
                            ],
                            [
                                "Guinea-Bissau",
                                "GW"
                            ],
                            [
                                "Eq. Guinea",
                                "GQ"
                            ],
                            [
                                "Greece",
                                "GR"
                            ],
                            [
                                "Greenland",
                                "GL"
                            ],
                            [
                                "Guatemala",
                                "GT"
                            ],
                            [
                                "Guyana",
                                "GY"
                            ],
                            [
                                "Honduras",
                                "HN"
                            ],
                            [
                                "Croatia",
                                "HR"
                            ],
                            [
                                "Haiti",
                                "HT"
                            ],
                            [
                                "Hungary",
                                "HU"
                            ],
                            [
                                "Indonesia",
                                "ID"
                            ],
                            [
                                "India",
                                "IN"
                            ],
                            [
                                "Ireland",
                                "IE"
                            ],
                            [
                                "Iran",
                                "IR"
                            ],
                            [
                                "Iraq",
                                "IQ"
                            ],
                            [
                                "Iceland",
                                "IS"
                            ],
                            [
                                "Israel",
                                "IL"
                            ],
                            [
                                "Italy",
                                "IT"
                            ],
                            [
                                "Jamaica",
                                "JM"
                            ],
                            [
                                "Jordan",
                                "JO"
                            ],
                            [
                                "Japan",
                                "JP"
                            ],
                            [
                                "Kazakhstan",
                                "KZ"
                            ],
                            [
                                "Kenya",
                                "KE"
                            ],
                            [
                                "Kyrgyzstan",
                                "KG"
                            ],
                            [
                                "Cambodia",
                                "KH"
                            ],
                            [
                                "Korea",
                                "KR"
                            ],
                            [
                                "Kuwait",
                                "KW"
                            ],
                            [
                                "Lao PDR",
                                "LA"
                            ],
                            [
                                "Lebanon",
                                "LB"
                            ],
                            [
                                "Liberia",
                                "LR"
                            ],
                            [
                                "Libya",
                                "LY"
                            ],
                            [
                                "Sri Lanka",
                                "LK"
                            ],
                            [
                                "Lesotho",
                                "LS"
                            ],
                            [
                                "Lithuania",
                                "LT"
                            ],
                            [
                                "Luxembourg",
                                "LU"
                            ],
                            [
                                "Latvia",
                                "LV"
                            ],
                            [
                                "Morocco",
                                "MA"
                            ],
                            [
                                "Moldova",
                                "MD"
                            ],
                            [
                                "Madagascar",
                                "MG"
                            ],
                            [
                                "Mexico",
                                "MX"
                            ],
                            [
                                "Macedonia",
                                "MK"
                            ],
                            [
                                "Mali",
                                "ML"
                            ],
                            [
                                "Myanmar",
                                "MM"
                            ],
                            [
                                "Montenegro",
                                "ME"
                            ],
                            [
                                "Mongolia",
                                "MN"
                            ],
                            [
                                "Mozambique",
                                "MZ"
                            ],
                            [
                                "Mauritania",
                                "MR"
                            ],
                            [
                                "Malawi",
                                "MW"
                            ],
                            [
                                "Malaysia",
                                "MY"
                            ],
                            [
                                "Namibia",
                                "NA"
                            ],
                            [
                                "New Caledonia",
                                "NC"
                            ],
                            [
                                "Niger",
                                "NE"
                            ],
                            [
                                "Nigeria",
                                "NG"
                            ],
                            [
                                "Nicaragua",
                                "NI"
                            ],
                            [
                                "Netherlands",
                                "NL"
                            ],
                            [
                                "Norway",
                                "NO"
                            ],
                            [
                                "Nepal",
                                "NP"
                            ],
                            [
                                "New Zealand",
                                "NZ"
                            ],
                            [
                                "Oman",
                                "OM"
                            ],
                            [
                                "Pakistan",
                                "PK"
                            ],
                            [
                                "Panama",
                                "PA"
                            ],
                            [
                                "Peru",
                                "PE"
                            ],
                            [
                                "Philippines",
                                "PH"
                            ],
                            [
                                "Papua New Guinea",
                                "PG"
                            ],
                            [
                                "Poland",
                                "PL"
                            ],
                            [
                                "Puerto Rico",
                                "PR"
                            ],
                            [
                                "Dem. Rep. Korea",
                                "KP"
                            ],
                            [
                                "Portugal",
                                "PT"
                            ],
                            [
                                "Paraguay",
                                "PY"
                            ],
                            [
                                "Palestine",
                                "PS"
                            ],
                            [
                                "Qatar",
                                "QA"
                            ],
                            [
                                "Romania",
                                "RO"
                            ],
                            [
                                "Russia",
                                "RU"
                            ],
                            [
                                "Rwanda",
                                "RW"
                            ],
                            [
                                "W. Sahara",
                                "EH"
                            ],
                            [
                                "Saudi Arabia",
                                "SA"
                            ],
                            [
                                "Sudan",
                                "SD"
                            ],
                            [
                                "S. Sudan",
                                "SS"
                            ],
                            [
                                "Senegal",
                                "SN"
                            ],
                            [
                                "Solomon Is.",
                                "SB"
                            ],
                            [
                                "Sierra Leone",
                                "SL"
                            ],
                            [
                                "El Salvador",
                                "SV"
                            ],
                            [
                                "Somalia",
                                "SO"
                            ],
                            [
                                "Serbia",
                                "RS"
                            ],
                            [
                                "Suriname",
                                "SR"
                            ],
                            [
                                "Slovakia",
                                "SK"
                            ],
                            [
                                "Slovenia",
                                "SI"
                            ],
                            [
                                "Sweden",
                                "SE"
                            ],
                            [
                                "Swaziland",
                                "SZ"
                            ],
                            [
                                "Syria",
                                "SY"
                            ],
                            [
                                "Chad",
                                "TD"
                            ],
                            [
                                "Togo",
                                "TG"
                            ],
                            [
                                "Thailand",
                                "TH"
                            ],
                            [
                                "Tajikistan",
                                "TJ"
                            ],
                            [
                                "Turkmenistan",
                                "TM"
                            ],
                            [
                                "Timor-Leste",
                                "TL"
                            ],
                            [
                                "Trinidad and Tobago",
                                "TT"
                            ],
                            [
                                "Tunisia",
                                "TN"
                            ],
                            [
                                "Turkey",
                                "TR"
                            ],
                            [
                                "Taiwan",
                                "TW"
                            ],
                            [
                                "Tanzania",
                                "TZ"
                            ],
                            [
                                "Uganda",
                                "UG"
                            ],
                            [
                                "Ukraine",
                                "UA"
                            ],
                            [
                                "Uruguay",
                                "UY"
                            ],
                            [
                                "United States",
                                "US"
                            ],
                            [
                                "Uzbekistan",
                                "UZ"
                            ],
                            [
                                "Venezuela",
                                "VE"
                            ],
                            [
                                "Vietnam",
                                "VN"
                            ],
                            [
                                "Vanuatu",
                                "VU"
                            ],
                            [
                                "Yemen",
                                "YE"
                            ],
                            [
                                "South Africa",
                                "ZA"
                            ],
                            [
                                "Zambia",
                                "ZM"
                            ],
                            [
                                "Zimbabwe",
                                "ZW"
                            ]
                    ],
                ],
            ]
        ]
);
//
///** @noinspection UnsupportedStringOffsetOperationsInspection */
//$GLOBALS['TCA']['pages']['types'][\T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST]['columnsOverrides'] = [
//    'categories' => [
//        'config' => [
//            'foreign_table_where' => 'AND sys_category.sys_language_uid IN (0,-1) AND sys_category.pid = ###PAGE_TSCONFIG_ID###',
//        ]
//    ]
//];
//
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('sys_category', 'travel_blog_fields', 'iso_a2_country_code');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
        'sys_category',
        '--div--;' . $ll . 'pages.tabs.travel_blog,
    --palette--;' . $ll . 'pages.palettes.travel_blog; travel_blog_fields'

//    (string) \T3G\AgencyPack\Blog\Constants::DOKTYPE_BLOG_POST
);
