<?php 

/*
 * This file is part of the package t3g/blog.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

if (!defined('TYPO3')) {
    die('Access denied.');
}

$ll = 'LLL:EXT:a2g_travel_blog/Resources/Private/Language/locallang_db.xlf:';

$GLOBALS['TCA']['tx_a2gmaps_domain_model_mapentry']['columns'] = array_replace_recursive(
    $GLOBALS['TCA']['tx_a2gmaps_domain_model_mapentry']['columns'],
    [
        
        'rel_travel_post' => [
            'label' => 'rel_travel_post',
             'config' => [
                'type' => 'select',
                 'renderType'=> 'selectSingle',
                'foreign_table' => 'pages',
                'foreign_table_where' => ' AND pages.sys_language_uid IN (###REC_FIELD_sys_language_uid###,-1) ',
            ],
        ]
    ]
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('tx_a2gmaps_domain_model_mapentry', 'travelblog_rel_post', 'travelblog_rel_post');
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
//    'tx_blog_domain_model_author',
//    '--div--;' . $ll . 'pages.tabs.travel_blog,
//    --palette--;' . $ll . 'pages.palettes.travel_blog; travelblog_map_icon'
//);
